Package org.apache.lucene.queryparser.surround.query

# Interface DistanceSubQuery

All Known Implementing Classes:
  `DistanceQuery`, `OrQuery`, `SimpleTerm`, `SrndPrefixQuery`, `SrndTermQuery`, `SrndTruncQuery`

public interface DistanceSubQuery
Interface for queries that can be nested as subqueries into a span near.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addSpanQueries(SpanNearClauseFactory sncf)`
  `String`
  `distanceSubQueryNotAllowed()`
  When distanceSubQueryNotAllowed() returns non null, the reason why the subquery is not allowed as a distance subquery is returned.

- ## Method Details

  - ### distanceSubQueryNotAllowed

    String distanceSubQueryNotAllowed()
    When distanceSubQueryNotAllowed() returns non null, the reason why the subquery is not allowed as a distance subquery is returned.
    When distanceSubQueryNotAllowed() returns null addSpanNearQueries() can be used in the creation of the span near clause for the subquery.

  - ### addSpanQueries

    void addSpanQueries(SpanNearClauseFactory sncf) throws IOException
    Throws:
      `IOException`